function dy = fun_CDS_tour(t,y);

global c a s_v s_u;

dy = zeros(5,1);
v = y(4);
u = y(5);
nsin_u = -sin(u);
acos_v = a*cos(v);
asin_v = a*sin(v);
cos_u = cos(u);
s_uc = s_u*(c+acos_v);
as_v = asin_v*s_v;

    dy(1) = nsin_u*s_uc - cos_u*as_v;
    dy(2) =  cos_u*s_uc + nsin_u*as_v;
    dy(3) =  acos_v*s_v;
    dy(4) =  s_v;
    dy(5) =  s_u;
    